Thinkpad T460: Trackpoint mouse buttons instantly generate "release" event on press

Bug #1553811 reported by Ryan on 2016-03-06
48
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Trusty
Medium
Joseph Salisbury
Wily
Medium
Joseph Salisbury
Xenial
Medium
Joseph Salisbury
linux-lts-utopic (Ubuntu)
Medium
Joseph Salisbury
Trusty
Medium
Joseph Salisbury
linux-lts-vivid (Ubuntu)
Medium
Joseph Salisbury
Trusty
Medium
Joseph Salisbury

Bug Description

When using the trackpoint mouse buttons on the laptop, when any of the buttons are pressed a release event immediately follows, even if the mouse button is being held down. This prevents moving of windows, typical drag & drop operations, selection etc with the mouse.

Example output from xev for button 1:

ButtonPress event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1097221, (116,59), root:(116,142),
    state 0x0, button 1, same_screen YES

ButtonRelease event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1097229, (116,59), root:(116,142),
    state 0x100, button 1, same_screen YES

Button 2:
ButtonPress event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1100941, (116,59), root:(116,142),
    state 0x0, button 2, same_screen YES

ButtonRelease event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1100941, (116,59), root:(116,142),
    state 0x200, button 2, same_screen YES

Button 3:
ButtonPress event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1098467, (116,59), root:(116,142),
    state 0x0, button 3, same_screen YES

ButtonRelease event, serial 40, synthetic NO, window 0x7e00001,
    root 0xb6, subw 0x0, time 1098477, (116,59), root:(116,142),
    state 0x400, button 3, same_screen YES

Possibly relevant output from journal:
kernel: thinkpad_acpi: ThinkPad ACPI Extras v0.25
kernel: thinkpad_acpi: http://ibm-acpi.sf.net/
kernel: thinkpad_acpi: ThinkPad BIOS R06ET33W (1.07 ), EC unknown
kernel: thinkpad_acpi: Lenovo ThinkPad T460, model 20FNCTO1WW
kernel: thinkpad_acpi: detected a 8-level brightness capable ThinkPad
kernel: thinkpad_acpi: unknown version of the HKEY interface: 0x200
kernel: thinkpad_acpi: please report this to <email address hidden>
kernel: thinkpad_acpi: radio switch found; radios are enabled
kernel: thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
kernel: thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
kernel: thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is unblocked
kernel: thinkpad_acpi: Standard ACPI backlight interface available, not loading native one
kernel: input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input7
sensors[1000]: thinkpad-isa-0000
kernel: thinkpad_acpi: EC reports that Thermal Table has changed
kernel: thinkpad_acpi: acpi_evalf(GTRW, dd, ...) failed: AE_NOT_FOUND
kernel: thinkpad_acpi: Cannot read adaptive keyboard mode.
kernel: thinkpad_acpi: acpi_evalf(STRW, vd, ...) failed: AE_NOT_FOUND
kernel: thinkpad_acpi: Cannot set adaptive keyboard mode.
kernel: thinkpad_acpi: EC reports that Thermal Table has changed

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-10-generic 4.4.0-10.25
ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
Uname: Linux 4.4.0-10-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CurrentDesktop: KDE
Date: Sun Mar 6 12:38:59 2016
HibernationDevice: RESUME=UUID=04e04e17-3976-4daa-a1dd-2dd369aee83d
InstallationDate: Installed on 2015-09-21 (166 days ago)
InstallationMedia: It
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 20FNCTO1WW
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-10-generic root=/dev/mapper/it--vg-root ro quiet intel_pstate=no_hwp
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-10-generic N/A
 linux-backports-modules-4.4.0-10-generic N/A
 linux-firmware 1.156
SourcePackage: linux
UpgradeStatus: Upgraded to xenial on 2016-02-24 (10 days ago)
dmi.bios.date: 01/05/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: R06ET33W (1.07 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20FNCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrR06ET33W(1.07):bd01/05/2016:svnLENOVO:pn20FNCTO1WW:pvrThinkPadT460:rvnLENOVO:rn20FNCTO1WW:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20FNCTO1WW
dmi.product.version: ThinkPad T460
dmi.sys.vendor: LENOVO

Ryan (carbonfreeze) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Hi.

I found a workaround for this.
Just force psmouse to use the imps protocol:

$ cat /etc/modprobe.d/psmouse.conf
options psmouse proto=imps

Unfortunately the fix seems to break two-finger scrolling on the touchpad.

Changed in linux (Ubuntu):
importance: Undecided → High
Ryan (carbonfreeze) wrote :

I attempted the work-around in #3, but it doesn't change the behavior on my system.

Ryan, thank you for reporting this and helping make Ubuntu better.

In order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-1.07
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ryan (carbonfreeze) wrote :

I attempted to test with 4.5-rc7, but the trackpoint wasn't even listed in xinput. I will try a few other in the 4.5 series.

Bug issue still exists in 4.4.4-040404.201603031931

tags: added: kernel-bug-exists-upstream-4.4.4
tags: added: kernel-bug-exists-upstream-4.5.0
removed: kernel-bug-exists-upstream-4.4.4
Ryan (carbonfreeze) wrote :

Confirmed still present in 4.5-rc5.

tags: added: kernel-bug-exists-upstream-4.5-rc5
removed: kernel-bug-exists-upstream-4.5.0
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream-4.5-rc7
removed: kernel-bug-exists-upstream-4.5-rc5

Ryan, could you please post the results of the following terminal command:
usb-devices

Also, did this issue not occur in a release prior to Xenial?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ryan (carbonfreeze) wrote :

I tested in 15.10, issue persists.

output of usb-devices:

: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh=12
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=04.04
S: Manufacturer=Linux 4.4.0-11-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 6
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=04.04
S: Manufacturer=Linux 4.4.0-11-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

tags: added: wily
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Ryan (carbonfreeze) wrote :

Yes that was all of the output

Ryan, it would be helpful if you could confirm the upstream patch addresses your issue following https://wiki.ubuntu.com/Kernel/KernelBisection#Testing_a_newly_released_patch_from_upstream . Could you please advise?

Lukas Humbel (lukas-humbel) wrote :

Hi Christopher
I did not follow the exact instructions but I applied it directly on top of the Ubuntu kernel (i got the source using apt-get source linux-image-4.4.0-15-generic).
I can confirm that the patch fixes the issue!

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with the patch. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1561198/

Can those affected by this bug test this kernel?

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Triaged → In Progress
Ryan (carbonfreeze) wrote :

I tested the kernel in #15, seems to resolve the issue for me. Mouse press/release events act as expected.

Lukas Humbel (lukas-humbel) wrote :

Can confirm too, the kernel from #15 fixes the issue.

Joseph Salisbury (jsalisbury) wrote :

@Ryan @Lukas,

Do you know if this bug only affects Xenial, or do prior releases need the new patch as well?

Lukas Humbel (lukas-humbel) wrote :

Actually: no idea. I think, that the same bug exists there as well. When I got my Thinkpad I wasn't able to get 15.10 installed, because of some (i guess) syslinux/isolinux issue. So I went straight to 16.04 beta. If it makes sense, I can compile an old kernel on 16.04 and check if the issue is there. Let me know what kernel versions might make sense.

Joseph Salisbury (jsalisbury) wrote :

There are kernels already available for prior releases. I just want to confirm if I only need to request this commit in Xenial or also in the stable releases. Can you test the following kernels:

Wily: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+build/9330343
Trusty: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+build/9330920

Note, with these kernels, you need to install both the linux-image and linux-image-extra .deb packages.

Lukas Humbel (lukas-humbel) wrote :

Ok, I just ran the two kernels. The issue exists in both.

Thanks for your work!

no longer affects: linux-lts-utopic (Ubuntu Xenial)
no longer affects: linux-lts-vivid (Ubuntu Xenial)
no longer affects: linux (Ubuntu Vivid)
Changed in linux (Ubuntu Wily):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: New → In Progress
Changed in linux (Ubuntu Trusty):
assignee: nobody → Joseph Salisbury (jsalisbury)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
importance: High → Medium
no longer affects: linux-lts-utopic (Ubuntu Vivid)
no longer affects: linux-lts-utopic (Ubuntu Wily)
no longer affects: linux-lts-vivid (Ubuntu Vivid)
no longer affects: linux-lts-vivid (Ubuntu Wily)
Changed in linux-lts-utopic (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux-lts-vivid (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Tim Gardner (timg-tpi) on 2016-03-24
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package linux - 4.4.0-16.32

---------------
linux (4.4.0-16.32) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1561727

  * fix thermal throttling due to commit "Thermal: initialize thermal zone
    device correctly" (LP: #1561676)
    - Thermal: Ignore invalid trip points

  * Thinkpad T460: Trackpoint mouse buttons instantly generate "release" event
    on press (LP: #1553811)
    - SAUCE: (noup) Input: synaptics - handle spurious release of trackstick
      buttons, again

  * reading /sys/kernel/security/apparmor/profiles requires CAP_MAC_ADMIN
    (LP: #1560583)
    - SAUCE: apparmor: Allow ns_root processes to open profiles file
    - SAUCE: apparmor: Consult sysctl when reading profiles in a user ns

  * linux: sync virtualbox drivers to 5.0.16-dfsg-2 (LP: #1561492)
    - ubuntu: vbox -- update to 5.0.16-dfsg-2

  * s390/kconfig: CONFIG_NUMA without CONFIG_NUMA_EMU does not make any sense on
    s390x (LP: #1557690)
    - [Config] CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=n for s390x

  * spl/zfs fails to build on s390x (LP: #1519814)
    - [Config] s390x -- re-enable zfs
    - [Config] zfs -- disable powerpc until the test failures can be resolved

  * linux: sync to ZFS 0.6.5.6 stable release (LP: #1561483)
    - SAUCE: (noup) Update spl to 0.6.5.6-0ubuntu1, zfs to 0.6.5.6-0ubuntu1

  * zfs: enable zfs for 64bit powerpc kernels (LP: #1558871)
    - [Packaging] zfs -- handle rprovides via dpkg-gencontrol
    - [Config] powerpc -- convert zfs configuration to custom_override

  * Memory arena corruption with FUSE (was Memory allocation failure crashes
    kernel hard, presumably related to FUSE) (LP: #1505948)
    - SAUCE: (noup) fuse: do not use iocb after it may have been freed
    - SAUCE: (noup) fuse: Add reference counting for fuse_io_priv

  * cgroup namespaces: add a 'nsroot=' mountinfo field (LP: #1560489)
    - SAUCE: (noup) cgroup namespaces: add a 'nsroot=' mountinfo field

  * linux packaging: clear remaining redundant delta (LP: #1560445)
    - [Debian] Remove generated intermediate files on clean

  * arm64: guest hangs when ntpd is running (LP: #1549494)
    - Revert "hrtimer: Add support for CLOCK_MONOTONIC_RAW"
    - Revert "hrtimer: Catch illegal clockids"
    - Revert "KVM: arm/arm64: timer: Switch to CLOCK_MONOTONIC_RAW"

  * Need enough contiguous memory to support GICv3 ITS table (LP: #1558828)
    - [Config] CONFIG_FORCE_MAX_ZONEORDER=13 on arm64
    - SAUCE: (no-up) arm64: gicv3: its: Increase FORCE_MAX_ZONEORDER for Cavium
      ThunderX

  * update arcmsr to version v1.30.00.22-20151126 to fix card timeouts
    (LP: #1559609)
    - arcmsr: fixed getting wrong configuration data
    - arcmsr: fixes not release allocated resource
    - arcmsr: make code more readable
    - arcmsr: adds code to support new Areca adapter ARC1203
    - arcmsr: changes driver version number
    - arcmsr: more readability improvements
    - arcmsr: Split dma resource allocation to a new function
    - arcmsr: change driver version to v1.30.00.22-20151126

  * server image has no keyboard, desktop image works (LP: #1559692)
    - [Config] Rework input-modules (d-i) list

  * PMU sup...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-vivid
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-wily
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Brad Figg (brad-figg) on 2016-05-06
tags: added: verification-done-trusty verification-done-vivid verification-done-wily
removed: verification-needed-trusty verification-needed-vivid verification-needed-wily
Launchpad Janitor (janitor) wrote :
Download full text (30.4 KiB)

This bug was fixed in the package linux - 4.2.0-36.41

---------------
linux (4.2.0-36.41) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1571667

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ dann frazier ]

  * Revert "SAUCE: arm64, numa, dt: adding dt based numa support using dt
    node property arm, associativity"
    - LP: #1558828
  * Revert "SAUCE: Documentation: arm64/arm: dt bindings for numa."
    - LP: #1558828
  * Revert "SAUCE: arm64, numa: adding numa support for arm64 platforms."
    - LP: #1558828
  * Revert "[Config] Enable NUMA on ARM64"
    - LP: #1558828

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v4.2.8-ckt7

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1561677
  * tipc: fix connection abort during subscription cancel
    - LP: #1561677
  * tipc: fix nullptr crash during subscription cancel
    - LP: #1561677
  * s390/mm: four page table levels vs. fork
    - LP: #1561677
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1561677
  * wext: fix message delay/ordering
    - LP: #1561677
  * cfg80211/wext: fix message ordering
    - LP: #1561677
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1561677
  * mac80211: minstrel: Change expected throughput unit back to Kbps
    - LP: #1561677
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1561677
  * iwlwifi: mvm: inc pending frames counter also when txing non-sta
    - LP: #1561677
  * [media] adv7604: fix tx 5v detect regression
    - LP: #1561677
  * ahci: add new Intel device IDs
    - LP: #1561677
  * ahci: Order SATA device IDs for codename Lewisburg
    - LP: #1561677
  * Adding Intel Lewisburg device IDs for SATA
    - LP: #1561677
  * ASoC: samsung: Use IRQ safe spin lock calls
    - LP: #1561677
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1561677
  * usb: chipidea: otg: change workqueue ci_otg as freezable
    - LP: #1561677
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1561677
  * Fix directory hardlinks from deleted directories
    - LP: #1561677
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1561677
  * iommu/amd: Apply workaround for ATS write permission check
    - LP: #1561677
  * libata: Align ata_device's id on a cacheline
    - LP: #1561677
  * can: gs_usb: fixed disconnect bug by removing erroneous use of kfree()
    - LP: #1561677
  * fbcon: set a default value to blink interval
    - LP: #1561677
  * KVM: x86: fix root cause for missed hardware breakpoints
    - LP: #1561677
  * arm64: vmemmap: use virtual projection of linear region
    - LP: #1561677
  * vfio: fix ioctl error handling
    - LP: #1561677
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1561677
  * ALSA: pcm: Fix ioctls for X32 ABI
    - LP: #1561677
  * ALSA: rawmidi: Fix ioct...

Changed in linux (Ubuntu Wily):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.7 KiB)

This bug was fixed in the package linux - 3.13.0-86.130

---------------
linux (3.13.0-86.130) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1571718

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v3.13.11-ckt38

  [ Tim Gardner ]

  * [Debian] Fix linux-doc dangling symlinks
    - LP: #661306

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1562900
  * [stable-only] AIO: properly check iovec sizes
    - LP: #1562900
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1562900
  * wext: fix message delay/ordering
    - LP: #1562900
  * cfg80211/wext: fix message ordering
    - LP: #1562900
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1562900
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1562900
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1562900
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1562900
  * Fix directory hardlinks from deleted directories
    - LP: #1562900
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1562900
  * libata: Align ata_device's id on a cacheline
    - LP: #1562900
  * vfio: fix ioctl error handling
    - LP: #1562900
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1562900
  * ALSA: rawmidi: Fix ioctls X32 ABI
    - LP: #1562900
  * ALSA: timer: Fix broken compat timer user status ioctl
    - LP: #1562900
  * ALSA: timer: Fix ioctls for X32 ABI
    - LP: #1562900
  * cifs: fix out-of-bounds access in lease parsing
    - LP: #1562900
  * CIFS: Fix SMB2+ interim response processing for read requests
    - LP: #1562900
  * ALSA: hdspm: Fix wrong boolean ctl value accesses
    - LP: #1562900
  * ALSA: hdspm: Fix zero-division
    - LP: #1562900
  * ALSA: hdsp: Fix wrong boolean ctl value accesses
    - LP: #1562900
  * USB: cp210x: Add ID for Parrot NMEA GPS Flight Recorder
    - LP: #1562900
  * ASoC: wm8958: Fix enum ctl accesses in a wrong type
    - LP: #1562900
  * ASoC: wm8994: Fix enum ctl accesses in a wrong type
    - LP: #1562900
  * ASoC: wm_adsp: Fix enum ctl accesses in a wrong type
    - LP: #1562900
  * USB: serial: option: add support for Telit LE922 PID 0x1045
    - LP: #1562900
  * USB: serial: option: add support for Quectel UC20
    - LP: #1562900
  * ALSA: seq: oss: Don't drain at closing a client
    - LP: #1562900
  * drm/ast: Fix incorrect register check for DRAM width
    - LP: #1562900
  * drm/radeon/pm: update current crtc info after setting the powerstate
    - LP: #1562900
  * PM / sleep / x86: Fix crash on graph trace through x86 suspend
    - LP: #1562900
  * ALSA: hda - Fix mic issues on Acer Aspire E1-472
    - LP: #1562900
  * MIPS: traps: Fix SIGFPE information leak from `do_ov' and
    `do_trap_or_bp'
    - LP: #1562900
  * ubi: Fix...

Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.4 KiB)

This bug was fixed in the package linux-lts-vivid - 3.19.0-59.65~14.04.1

---------------
linux-lts-vivid (3.19.0-59.65~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1572258

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v3.19.8-ckt18

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1561714
  * [stable-only] AIO: properly check iovec sizes
    - LP: #1561714
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1561714
  * wext: fix message delay/ordering
    - LP: #1561714
  * cfg80211/wext: fix message ordering
    - LP: #1561714
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1561714
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1561714
  * iwlwifi: mvm: inc pending frames counter also when txing non-sta
    - LP: #1561714
  * [media] adv7604: fix tx 5v detect regression
    - LP: #1561714
  * ahci: add new Intel device IDs
    - LP: #1561714
  * ahci: Order SATA device IDs for codename Lewisburg
    - LP: #1561714
  * Adding Intel Lewisburg device IDs for SATA
    - LP: #1561714
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1561714
  * usb: chipidea: otg: change workqueue ci_otg as freezable
    - LP: #1561714
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1561714
  * Fix directory hardlinks from deleted directories
    - LP: #1561714
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1561714
  * iommu/amd: Apply workaround for ATS write permission check
    - LP: #1561714
  * libata: Align ata_device's id on a cacheline
    - LP: #1561714
  * can: gs_usb: fixed disconnect bug by removing erroneous use of kfree()
    - LP: #1561714
  * vfio: fix ioctl error handling
    - LP: #1561714
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1561714
  * ALSA: rawmidi: Fix ioctls X32 ABI
    - LP: #1561714
  * ALSA: timer: Fix broken compat timer user status ioctl
    - LP: #1561714
  * ALSA: timer: Fix ioctls for X32 ABI
    - LP: #1561714
  * cifs: fix out-of-bounds access in lease parsing
    - LP: #1561714
  * CIFS: Fix SMB2+ interim response processing for read requests
    - LP: #1561714
  * Fix cifs_uniqueid_to_ino_t() function for s390x
    - LP: #1561714
  * arm/arm64: KVM: Fix ioctl error handling
    - LP: #1561714
  * ALSA: hdspm: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * ALSA: hdspm: Fix zero-division
    - LP: #1561714
  * ALSA: hdsp: Fix wrong boolean ctl value accesses
    - LP: #1561714
  * USB: qcserial: add Dell Wireless 5809e Gobi 4G HSPA+ (rev3)
    - LP: #1561714
  * USB: cp210x: Add ID for Parrot NMEA GPS Flight Recorder
    - LP: #1561714
  * ASoC: wm8958: Fix enum ctl accesses in a wrong type
    - LP: #1561714
  * ASoC: wm8994: Fix enum ctl accesses in ...

Changed in linux-lts-vivid (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.